summaryrefslogtreecommitdiffstats
path: root/network/claws-mail
diff options
context:
space:
mode:
author Erik Hanson2010-05-11 15:01:26 +0200
committer Michiel van Wessem2010-05-11 15:01:26 +0200
commit659d53a0c2c4c56d7c121043ea8dec6bc8f054af (patch)
tree8dd5df92f1f48e9c33ce0e4a6b1d30ba508949d4 /network/claws-mail
parentf5baa1925630c57abd95edf9aa1fa7bce72b6611 (diff)
downloadslackbuilds-659d53a0c2c4c56d7c121043ea8dec6bc8f054af.tar.gz
network/claws-mail: Initial import
Diffstat (limited to 'network/claws-mail')
-rw-r--r--network/claws-mail/README22
-rw-r--r--network/claws-mail/claws-mail.SlackBuild57
-rw-r--r--network/claws-mail/claws-mail.info8
-rw-r--r--network/claws-mail/doinst.sh9
-rw-r--r--network/claws-mail/slack-desc11
5 files changed, 107 insertions, 0 deletions
diff --git a/network/claws-mail/README b/network/claws-mail/README
new file mode 100644
index 0000000000..4cc7b16d85
--- /dev/null
+++ b/network/claws-mail/README
@@ -0,0 +1,22 @@
+Claws Mail is an email client (and news reader), based on GTK+ featuring:
+
+ * Quick response
+ * Graceful, and sophisticated interface
+ * Easy configuration, intuitive operation
+ * Abundant features
+ * Extensibility
+
+The appearance and interface are designed to be familiar to new users coming
+from other popular email clients, as well as experienced users. Almost all
+commands are accessible with the keyboard.
+
+The messages are managed in the standard MH format, which features fast
+access and data security. You'll be able to import your emails from almost
+any other email client, and export them just as easily.
+
+Lots of extra functionality, like an RSS aggregator, calendar, or laptop LED
+handling, are provided by extra plugins.
+
+* libetpan is required for IMAP support, it can be found at slackbuilds.org
+* gpgme is optional for GnuPG support, it can be found at slackbuilds.org
+
diff --git a/network/claws-mail/claws-mail.SlackBuild b/network/claws-mail/claws-mail.SlackBuild
new file mode 100644
index 0000000000..9f2cf60b26
--- /dev/null
+++ b/network/claws-mail/claws-mail.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for claws-mail
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=claws-mail
+VERSION=2.9.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-static=no \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Fix icon path in .desktop file so that it will show up in KDE's menu
+sed -i 's|Icon=claws-mail.png|Icon=/usr/share/icons/hicolor/48x48/apps/claws-mail.png|' \
+ $PKG/usr/share/applications/claws-mail.desktop || exit 1
+
+gzip -9 $PKG/usr/man/man?/*
+mkdir -p $PKG/usr/doc $PKG/install
+mv $PKG/usr/share/doc/claws-mail $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/claws-mail/claws-mail.info b/network/claws-mail/claws-mail.info
new file mode 100644
index 0000000000..9dac2b4794
--- /dev/null
+++ b/network/claws-mail/claws-mail.info
@@ -0,0 +1,8 @@
+PRGNAM="claws-mail"
+VERSION="2.9.1"
+HOMEPAGE="http://www.claws-mail.org/"
+DOWNLOAD="http://dl.sourceforge.net/sylpheed-claws/claws-mail-2.9.2.tar.bz2"
+MD5SUM="5054149c6c0ece2f825494f1e3a89409"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/network/claws-mail/doinst.sh b/network/claws-mail/doinst.sh
new file mode 100644
index 0000000000..a72ea3a01c
--- /dev/null
+++ b/network/claws-mail/doinst.sh
@@ -0,0 +1,9 @@
+
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database &> /dev/null
+fi
+
+if [ -x usr/bin/gtk-update-icon-cache ]; then
+ gtk-update-icon-cache -f -t usr/share/icons/hicolor &> /dev/null
+fi
+
diff --git a/network/claws-mail/slack-desc b/network/claws-mail/slack-desc
new file mode 100644
index 0000000000..972e244732
--- /dev/null
+++ b/network/claws-mail/slack-desc
@@ -0,0 +1,11 @@
+claws-mail: Claws-Mail - The user-friendly, lightweight, and fast email cleint
+claws-mail:
+claws-mail: Claws Mail is an email client (and news reader), based on GTK+,
+claws-mail: featuring: Quick response, Graceful, and sophisticated interface,
+claws-mail: Easy configuration, intuitive operation, Abundant features, and
+claws-mail: Extensibility
+claws-mail:
+claws-mail: http://www.claws-mail.org/
+claws-mail:
+claws-mail:
+claws-mail: